Returns the number of elements in the hash

- « QuickHashIntHash::get

- QuickHashIntHash::loadFromFile »

- PHP Manual
- QuickHashIntHash
- Returns the number of elements in the hash

# QuickHashIntHash::getSize

(PECL quickhash >= Unknown)

QuickHashIntHash::getSize — Returns the number of elements in the hash

### Description

public QuickHashIntHash::getSize(): int

Returns the number of elements in the hash.

### Parameters

This function has no parameters.

### Return Values

The number of elements in the hash.

### Examples

Example #1 QuickHashIntHash::getSize() example

    <?php
    $hash = new QuickHashIntHash( 8 );
    var_dump( $hash->add( 2 ) );
    var_dump( $hash->add( 3, 5 ) );
    var_dump( $hash->getSize() );
    ?>

The above example will output something similar to:

    bool(true)
    bool(true)
    int(2)